#include <iostream>
#include <vector>

using namespace std;

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);

    int n;
    while(cin >> n);

    cout << 0 << '\n' << 0 << '\n' << 0 << '\n';

    return 0;
}